from rest_framework import generics, status
from rest_framework.response import Response
from bs4 import BeautifulSoup as BS

from .models import Road
from .serializers import RoadSerializer


class ParserItemListView(generics.ListCreateAPIView):
    queryset = Road.objects.all()
    serializer_class = RoadSerializer


class ParserView(generics.CreateAPIView):
    queryset = Road.objects.all()
    serializer_class = RoadSerializer

